import{s as bt,j as ht,o as $t,n as wt}from"../chunks/scheduler.6e0d5ff7.js";import{S as _t,i as Tt,g as s,s as l,r as M,E as vt,h as f,f as n,c as o,j as lt,u as F,x as m,k as G,y as Jt,a as i,v as Z,d as I,t as N,w as U}from"../chunks/index.d7c1b260.js";import{g as xt}from"../chunks/navigation.9f20b866.js";import{T as yt}from"../chunks/Tip.c000e27b.js";import{C as it}from"../chunks/CodeBlock.09a08494.js";import{D as Ct}from"../chunks/DocNotebookDropdown.0647ce65.js";import{H as kt}from"../chunks/Heading.30a009b0.js";function Pt(q){let a,g="💡 나만의 unconditional 이미지 생성 모델을 학습시키고 싶으신가요? 학습 가이드를 살펴보고 나만의 이미지를 생성하는 방법을 알아보세요.";return{c(){a=s("p"),a.textContent=g},l(p){a=f(p,"P",{"data-svelte-h":!0}),m(a)!=="svelte-1rcr7p4"&&(a.textContent=g)},m(p,j){i(p,a,j)},p:wt,d(p){p&&n(a)}}}function Mt(q){let a,g,p,j,c,E,d,L,b,ot="Unconditional 이미지 생성은 비교적 간단한 작업입니다. 모델이 텍스트나 이미지와 같은 추가 조건 없이 이미 학습된 학습 데이터와 유사한 이미지만 생성합니다.",D,h,at="[‘DiffusionPipeline’]은 추론을 위해 미리 학습된 diffusion 시스템을 사용하는 가장 쉬운 방법입니다.",H,$,st='먼저 [‘DiffusionPipeline’]의 인스턴스를 생성하고 다운로드할 파이프라인의 <a href="https://huggingface.co/models?library=diffusers&amp;sort=downloads" rel="nofollow">체크포인트</a>를 지정합니다. 허브의 🧨 diffusion 체크포인트 중 하나를 사용할 수 있습니다(사용할 체크포인트는 나비 이미지를 생성합니다).',V,u,B,w,ft='이 가이드에서는 unconditional 이미지 생성에 [‘DiffusionPipeline’]과 <a href="https://arxiv.org/abs/2006.11239" rel="nofollow">DDPM</a>을 사용합니다:',R,_,S,T,pt="[diffusion 파이프라인]은 모든 모델링, 토큰화, 스케줄링 구성 요소를 다운로드하고 캐시합니다. 이 모델은 약 14억 개의 파라미터로 구성되어 있기 때문에 GPU에서 실행할 것을 강력히 권장합니다. PyTorch에서와 마찬가지로 제너레이터 객체를 GPU로 옮길 수 있습니다:",z,v,K,J,rt="이제 제너레이터를 사용하여 이미지를 생성할 수 있습니다:",A,x,X,y,mt='출력은 기본적으로 <a href="https://pillow.readthedocs.io/en/stable/reference/Image.html?highlight=image#the-image-class" rel="nofollow">PIL.Image</a> 객체로 감싸집니다.',Q,C,ut="다음을 호출하여 이미지를 저장할 수 있습니다:",O,k,Y,P,gt="아래 스페이스(데모 링크)를 이용해 보고, 추론 단계의 매개변수를 자유롭게 조절하여 이미지 품질에 어떤 영향을 미치는지 확인해 보세요!",tt,r,ct,et,W,nt;return c=new kt({props:{title:"Unconditional 이미지 생성",local:"unconditional-이미지-생성",headingTag:"h1"}}),d=new Ct({props:{classNames:"absolute z-10 right-0 top-0",options:[{label:"Mixed",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/ko/unconditional_image_generation.ipynb"},{label:"PyTorch",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/ko/pytorch/unconditional_image_generation.ipynb"},{label:"TensorFlow",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/ko/tensorflow/unconditional_image_generation.ipynb"},{label:"Mixed",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/ko/unconditional_image_generation.ipynb"},{label:"PyTorch",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/ko/pytorch/unconditional_image_generation.ipynb"},{label:"TensorFlow",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/ko/tensorflow/unconditional_image_generation.ipynb"}]}}),u=new yt({props:{$$slots:{default:[Pt]},$$scope:{ctx:q}}}),_=new it({props:{code:"JTIwJTNFJTNFJTNFJTIwZnJvbSUyMGRpZmZ1c2VycyUyMGltcG9ydCUyMERpZmZ1c2lvblBpcGVsaW5lJTBBJTBBJTIwJTNFJTNFJTNFJTIwZ2VuZXJhdG9yJTIwJTNEJTIwRGlmZnVzaW9uUGlwZWxpbmUuZnJvbV9wcmV0cmFpbmVkKCUyMmFudG9uLWwlMkZkZHBtLWJ1dHRlcmZsaWVzLTEyOCUyMik=",highlighted:` &gt;&gt;&gt; <span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline

 &gt;&gt;&gt; generator = DiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;anton-l/ddpm-butterflies-128&quot;</span>)`,wrap:!1}}),v=new it({props:{code:"JTIwJTNFJTNFJTNFJTIwZ2VuZXJhdG9yLnRvKCUyMmN1ZGElMjIp",highlighted:' &gt;&gt;&gt; generator.to(<span class="hljs-string">&quot;cuda&quot;</span>)',wrap:!1}}),x=new it({props:{code:"JTIwJTNFJTNFJTNFJTIwaW1hZ2UlMjAlM0QlMjBnZW5lcmF0b3IoKS5pbWFnZXMlNUIwJTVE",highlighted:' &gt;&gt;&gt; image = generator().images[<span class="hljs-number">0</span>]',wrap:!1}}),k=new it({props:{code:"JTIwJTNFJTNFJTNFJTIwaW1hZ2Uuc2F2ZSglMjJnZW5lcmF0ZWRfaW1hZ2UucG5nJTIyKQ==",highlighted:' &gt;&gt;&gt; image.save(<span class="hljs-string">&quot;generated_image.png&quot;</span>)',wrap:!1}}),{c(){a=s("meta"),g=l(),p=s("p"),j=l(),M(c.$$.fragment),E=l(),M(d.$$.fragment),L=l(),b=s("p"),b.textContent=ot,D=l(),h=s("p"),h.textContent=at,H=l(),$=s("p"),$.innerHTML=st,V=l(),M(u.$$.fragment),B=l(),w=s("p"),w.innerHTML=ft,R=l(),M(_.$$.fragment),S=l(),T=s("p"),T.textContent=pt,z=l(),M(v.$$.fragment),K=l(),J=s("p"),J.textContent=rt,A=l(),M(x.$$.fragment),X=l(),y=s("p"),y.innerHTML=mt,Q=l(),C=s("p"),C.textContent=ut,O=l(),M(k.$$.fragment),Y=l(),P=s("p"),P.textContent=gt,tt=l(),r=s("iframe"),et=l(),W=s("p"),this.h()},l(t){const e=vt("svelte-u9bgzb",document.head);a=f(e,"META",{name:!0,content:!0}),e.forEach(n),g=o(t),p=f(t,"P",{}),lt(p).forEach(n),j=o(t),F(c.$$.fragment,t),E=o(t),F(d.$$.fragment,t),L=o(t),b=f(t,"P",{"data-svelte-h":!0}),m(b)!=="svelte-tfszx0"&&(b.textContent=ot),D=o(t),h=f(t,"P",{"data-svelte-h":!0}),m(h)!=="svelte-10qi7c6"&&(h.textContent=at),H=o(t),$=f(t,"P",{"data-svelte-h":!0}),m($)!=="svelte-gbmace"&&($.innerHTML=st),V=o(t),F(u.$$.fragment,t),B=o(t),w=f(t,"P",{"data-svelte-h":!0}),m(w)!=="svelte-1h0b378"&&(w.innerHTML=ft),R=o(t),F(_.$$.fragment,t),S=o(t),T=f(t,"P",{"data-svelte-h":!0}),m(T)!=="svelte-19iqs64"&&(T.textContent=pt),z=o(t),F(v.$$.fragment,t),K=o(t),J=f(t,"P",{"data-svelte-h":!0}),m(J)!=="svelte-1v4twko"&&(J.textContent=rt),A=o(t),F(x.$$.fragment,t),X=o(t),y=f(t,"P",{"data-svelte-h":!0}),m(y)!=="svelte-q9tjpq"&&(y.innerHTML=mt),Q=o(t),C=f(t,"P",{"data-svelte-h":!0}),m(C)!=="svelte-t33pj2"&&(C.textContent=ut),O=o(t),F(k.$$.fragment,t),Y=o(t),P=f(t,"P",{"data-svelte-h":!0}),m(P)!=="svelte-ymgaag"&&(P.textContent=gt),tt=o(t),r=f(t,"IFRAME",{src:!0,frameborder:!0,width:!0,height:!0}),lt(r).forEach(n),et=o(t),W=f(t,"P",{}),lt(W).forEach(n),this.h()},h(){G(a,"name","hf:doc:metadata"),G(a,"content",Ft),ht(r.src,ct="https://stevhliu-ddpm-butterflies-128.hf.space")||G(r,"src",ct),G(r,"frameborder","0"),G(r,"width","850"),G(r,"height","500")},m(t,e){Jt(document.head,a),i(t,g,e),i(t,p,e),i(t,j,e),Z(c,t,e),i(t,E,e),Z(d,t,e),i(t,L,e),i(t,b,e),i(t,D,e),i(t,h,e),i(t,H,e),i(t,$,e),i(t,V,e),Z(u,t,e),i(t,B,e),i(t,w,e),i(t,R,e),Z(_,t,e),i(t,S,e),i(t,T,e),i(t,z,e),Z(v,t,e),i(t,K,e),i(t,J,e),i(t,A,e),Z(x,t,e),i(t,X,e),i(t,y,e),i(t,Q,e),i(t,C,e),i(t,O,e),Z(k,t,e),i(t,Y,e),i(t,P,e),i(t,tt,e),i(t,r,e),i(t,et,e),i(t,W,e),nt=!0},p(t,[e]){const dt={};e&2&&(dt.$$scope={dirty:e,ctx:t}),u.$set(dt)},i(t){nt||(I(c.$$.fragment,t),I(d.$$.fragment,t),I(u.$$.fragment,t),I(_.$$.fragment,t),I(v.$$.fragment,t),I(x.$$.fragment,t),I(k.$$.fragment,t),nt=!0)},o(t){N(c.$$.fragment,t),N(d.$$.fragment,t),N(u.$$.fragment,t),N(_.$$.fragment,t),N(v.$$.fragment,t),N(x.$$.fragment,t),N(k.$$.fragment,t),nt=!1},d(t){t&&(n(g),n(p),n(j),n(E),n(L),n(b),n(D),n(h),n(H),n($),n(V),n(B),n(w),n(R),n(S),n(T),n(z),n(K),n(J),n(A),n(X),n(y),n(Q),n(C),n(O),n(Y),n(P),n(tt),n(r),n(et),n(W)),n(a),U(c,t),U(d,t),U(u,t),U(_,t),U(v,t),U(x,t),U(k,t)}}}const Ft='{"title":"Unconditional 이미지 생성","local":"unconditional-이미지-생성","sections":[],"depth":1}';function Zt(q){return $t(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=xt}),[]}class Et extends _t{constructor(a){super(),Tt(this,a,Zt,Mt,bt,{})}}export{Et as component};
